<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="null" language="groovy" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="5529a9b6-e04d-45ef-99df-ba00dfdacde9">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<style name="Title" forecolor="#FFFFFF" fontName="Arial" fontSize="26" isBold="true" pdfFontName="Helvetica-Bold"/>
	<style name="SubTitle" forecolor="#666666" fontName="Arial" fontSize="18"/>
	<style name="Column header" forecolor="#666666" fontName="Arial" fontSize="12" isBold="true"/>
	<style name="Detail" fontName="Arial" fontSize="12"/>
	<parameter name="dia" class="java.util.Date"/>
	<queryString>
		<![CDATA[SELECT
     empleado.`nombres` AS asistencia_nombre_completo,
     empleado.`apellido` AS apellido,
     empleado.`cedula` AS asistencia_cedula
FROM
   empleado

 where empleado.`cedula` not in (select asistencia.`cedula` from asistencia where asistencia.`fecha` = $P{dia})]]>
	</queryString>
	<field name="asistencia_nombre_completo" class="java.lang.String"/>
	<field name="asistencia_cedula" class="java.lang.String"/>
	<field name="apellido" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="102" splitType="Stretch">
			<image>
				<reportElement x="1" y="0" width="553" height="70" uuid="3b21c184-688a-4010-bd4b-019fe87373be"/>
				<imageExpression><![CDATA["F:\\NetBeansProjects\\Asistencia\\src\\controldeasistencias\\Reportes\\cintillo.jpg"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="-5" y="82" width="491" height="20" uuid="27e2706b-2456-4f09-9497-c93f2a0b5f68"/>
				<textElement textAlignment="Center">
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[Inasistencias por dia]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="326" y="82" width="100" height="20" uuid="79e22e56-3e61-4ba5-a7bc-dad08913b510"/>
				<textElement>
					<font size="16" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dia}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="36" splitType="Stretch">
			<line>
				<reportElement positionType="FixRelativeToBottom" x="0" y="35" width="555" height="1" uuid="f927fd51-fc7e-4181-85eb-561d0f93f008"/>
				<graphicElement>
					<pen lineWidth="0.5" lineColor="#999999"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement style="Column header" x="76" y="21" width="411" height="15" uuid="0c7d1f60-5759-4e01-9fc8-50a0639de4eb"/>
				<text><![CDATA[EMPLEADO]]></text>
			</staticText>
			<staticText>
				<reportElement style="Column header" x="1" y="20" width="277" height="15" uuid="0a0949af-dda7-4869-979c-42fc1eff2e88"/>
				<text><![CDATA[CÉDULA]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<line>
				<reportElement positionType="FixRelativeToBottom" x="0" y="15" width="555" height="1" uuid="37592324-ee8d-4d4a-9dc5-7da14e67f04c"/>
				<graphicElement>
					<pen lineWidth="0.5" lineColor="#999999"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement style="Detail" x="76" y="1" width="479" height="15" uuid="77ec65f2-6e55-456e-a151-015041a8ba09"/>
				<textElement>
					<font size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{asistencia_nombre_completo}+ ", " + $F{apellido}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement style="Detail" x="1" y="1" width="145" height="15" uuid="db1ec0f4-ec06-4edc-9ee6-e0d2b64ad2f5"/>
				<textFieldExpression><![CDATA[$F{asistencia_cedula}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="10" splitType="Stretch">
			<line>
				<reportElement positionType="FixRelativeToBottom" x="0" y="3" width="555" height="1" uuid="8bd24caf-4550-4919-8241-32c2f55b3f6e"/>
				<graphicElement>
					<pen lineWidth="0.5" lineColor="#999999"/>
				</graphicElement>
			</line>
		</band>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement style="Column header" x="433" y="0" width="80" height="20" uuid="5290290f-7ee2-4936-a9ca-bb5195b66120"/>
				<textElement textAlignment="Right">
					<font size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Página "+$V{PAGE_NUMBER}+" de "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement style="Column header" x="513" y="0" width="40" height="20" uuid="cc87b19f-f559-42aa-84e0-430ad90000ba"/>
				<textElement>
					<font size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField pattern="EEEEE dd MMMMM yyyy">
				<reportElement style="Column header" x="0" y="0" width="197" height="20" uuid="e7dc93f7-bbc6-4515-852b-383f6a28b930"/>
				<textElement>
					<font size="10" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
